Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003109Dwarf FortressDwarf Mode -- Militarypublic2010-08-26 17:052015-01-19 16:16
ReporterAngry Bob 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformWindowsOSVistaOS Version
Product Version0.31.12 
Target VersionFixed in Version0.34.01 
Summary0003109: Squad renaming on load
DescriptionOn loading a fortress, two of the squads (all of my squads except fortress guard) had apparently been deleted and replaced with empty squads. When I tried to fill the new squads with the old dwarves, they weren't on the list of potential draftees. Deleting all squads and manually reassigning was annoying but fixed it.

I vaguely recall this happening once before, but no hints as to what caused it.
Tags0.31.12, load, Military, squads
Attached Files

- Relationships
related to 0000706resolvedToady One Trying to access the squad screen mid-combat caused a complete game hang 
has duplicate 0003214resolvedFootkerchief All dwarves unassigned from squads during game loading 
has duplicate 0002165resolvedFootkerchief Military Screen - Forgetting Designations 
related to 0001806resolvedToady One Non-cancelled kill orders persist into newly generated world and fortress. 

-  Notes
(0012099)
Dwarfu (manager)
2010-08-26 20:36

Does your errorlog.txt file contain message like:
"Repairing squad info for Unit ..."

Was this save generated in a previous version and moved over to 31.12?
(0012100)
Angry Bob (reporter)
2010-08-26 20:50
edited on: 2010-08-26 20:57

It was in the same edition. World generated and and fortress played in only one version.

Yes, the errorlog does say exactly that.

Additionally, it apparently makes the gear formerly assigned not auto-equippable by the new squads.

(0012103)
Dwarfu (manager)
2010-08-26 21:30

Can you upload a save showing this problem? http://dffd.wimbli.com/ [^]

Just to verify, when you deleted the bugged squads and started new ones, all dwarfs were able to be assigned?

Can you give further details on why you think the old assigned equipment is not 'auto-equippable' by the new squads?
(0012155)
Angry Bob (reporter)
2010-08-27 09:07

When I deleted the new squads and created new ones(And reinstated the militia commander - he had been removed with no replacement), the new squads I created could draft the old dwarves.

The old equipment, however, just lies on the barracks floor. The new squads are using my extra armor and weapons instead of grabbing better quality gear that was assigned to the old squads. The new squads had the same 'metal armor' uniform as the new ones.

What's the step-by-step way to make my save a .rar?
(0012161)
Dwarfu (manager)
2010-08-27 10:50

You can use a free trail version of a program such as WinZip http://www.winzip.com [^] to make .zip and .rar files.

Navigate to your DF folder/data/save/ and zip up the region folder you want. After you install WinZip, you can just right click on the file and select 'WinZip/Add to Zip file'.

Can you verify that the individual pieces lying on the floor from the old squads isn't still owned by the individuals?
(0012173)
knofbath (reporter)
2010-08-27 13:36

Windows includes a basic zip interface.
Right click, Send To > Compressed(zipped) folder

A better alternative is 7zip, which is open source. Winzip and Winrar are available as trial versions.
(0012175)
Angry Bob (reporter)
2010-08-27 14:53
edited on: 2010-08-27 15:06

Thank you. I'm currently working with ~28kbps Dial-up, but I'll be back at college on Sunday, with broadband. I should put it up then.

And no, the items on the floor had no owners.

(0012234)
Angry Bob (reporter)
2010-08-29 14:48

Okay, I've uploaded the file. As the comment says, I'll upload a fresher one if it happens again.
(0012245)
Dwarfu (manager)
2010-08-29 18:01

Can you link us to the upload?
(0012247)
Angry Bob (reporter)
2010-08-29 19:58

C'est ├ža. http://dffd.wimbli.com/file.php?id=3019&posted=true#c_159 [^]
(0012295)
Tilla (reporter)
2010-08-31 20:35

Confirmed, I have the same issue. Let me know if you want my save too.
(0019829)
Footkerchief (manager)
2012-02-16 12:19

Reminder sent to: Angry Bob, Tilla

Is this bug still present in 0.34.01?
(0023787)
Dwarfu (manager)
2012-12-25 07:41

We'll assume it was taken care of. Should it show up again, we can reopen this report.

- Issue History
Date Modified Username Field Change
2010-08-26 17:05 Angry Bob New Issue
2010-08-26 20:25 Angry Bob Tag Attached: 0.31.12
2010-08-26 20:25 Angry Bob Tag Attached: load
2010-08-26 20:25 Angry Bob Tag Attached: Military
2010-08-26 20:25 Angry Bob Tag Attached: squads
2010-08-26 20:36 Dwarfu Note Added: 0012099
2010-08-26 20:36 Dwarfu Tag Attached: AWAITING UPDATE
2010-08-26 20:50 Angry Bob Note Added: 0012100
2010-08-26 20:57 Angry Bob Note Edited: 0012100 View Revisions
2010-08-26 21:30 Dwarfu Note Added: 0012103
2010-08-27 01:46 Footkerchief Relationship added related to 0002852
2010-08-27 01:46 Footkerchief Relationship added related to 0000706
2010-08-27 09:07 Angry Bob Note Added: 0012155
2010-08-27 10:50 Dwarfu Note Added: 0012161
2010-08-27 13:36 knofbath Note Added: 0012173
2010-08-27 14:53 Angry Bob Note Added: 0012175
2010-08-27 15:06 Angry Bob Note Edited: 0012175 View Revisions
2010-08-29 14:48 Angry Bob Note Added: 0012234
2010-08-29 18:01 Dwarfu Note Added: 0012245
2010-08-29 19:58 Angry Bob Note Added: 0012247
2010-08-31 20:35 Tilla Note Added: 0012295
2010-11-21 12:20 Footkerchief Relationship added related to 0003703
2011-02-28 21:34 Footkerchief Relationship added child of 0001806
2011-02-28 21:34 Footkerchief Relationship deleted related to 0003703
2011-02-28 21:35 Footkerchief Relationship deleted related to 0002852
2011-03-09 04:08 Toady One Relationship replaced related to 0001806
2011-03-14 09:49 Footkerchief Tag Detached: AWAITING UPDATE
2011-03-14 09:49 Footkerchief Tag Attached: Fixed in 0.31.22?
2012-02-16 12:19 Footkerchief Issue Monitored: Tilla
2012-02-16 12:19 Footkerchief Note Added: 0019829
2012-02-16 12:19 Footkerchief Tag Attached: AWAITING UPDATE
2012-12-25 07:41 Dwarfu Tag Detached: AWAITING UPDATE
2012-12-25 07:41 Dwarfu Tag Detached: Fixed in 0.31.22?
2012-12-25 07:41 Dwarfu Note Added: 0023787
2012-12-25 07:41 Dwarfu Status new => resolved
2012-12-25 07:41 Dwarfu Resolution open => fixed
2012-12-25 07:41 Dwarfu Assigned To => Toady One
2014-01-22 11:28 Footkerchief Relationship added has duplicate 0003214
2014-01-22 11:28 Footkerchief Issue Monitored: vadia
2014-01-22 11:30 Footkerchief Relationship added has duplicate 0002165
2015-01-19 16:16 lethosor Fixed in Version => 0.34.01


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker